var PublicConfig_showShare01 = function(){
	
	var opts={
		english:false,
		china:false,
		url:"",
		summary:"",
	    shareTitle:"",
	    pic:""
	};
	
	var init=function(options){
	    $.extend(opts,options);
	    
	    initEvents();
	};
	
	var initEvents=function(){
		
		if(opts.china){
			if(window.context&&/zmobile/.test(navigator.userAgent)){
				$("#sina").click(function(){
					var hrefsina="http://api.bshare.cn/share/mweibo?url="+opts.url+"&title="+opts.shareTitle+"&publisherUuid=82f0883f-0045-4f70-9022-d7be1d1687ad&summary="+opts.summary;
					context.loadUrl(hrefsina);
				});
		
				$("#tengXun").click(function(){
					var hreftengxun="http://api.bshare.cn/share/qqmb?url="+opts.url+"&title="+opts.shareTitle+"&publisherUuid=82f0883f-0045-4f70-9022-d7be1d1687ad&summary="+opts.summary;
					context.loadUrl(hrefsina);
				});
		
				$("#qzone").click(function(){
					var hrefqzone="http://api.bshare.cn/share/qzone?url="+opts.url+"&title="+opts.shareTitle+"&publisherUuid=82f0883f-0045-4f70-9022-d7be1d1687ad&summary="+opts.summary;
					context.loadUrl(hrefqzone);
				});
				$("#wangyi").click(function(){
					var hrefwangyi="http://api.bshare.cn/share/neteasemb?url="+opts.url+"&title="+opts.shareTitle+"&publisherUuid=82f0883f-0045-4f70-9022-d7be1d1687ad&summary="+opts.summary;
					context.loadUrl(hrefwangyi);
				});
				$("#souhu").click(function(){
					var hrefsouhu="http://api.bshare.cn/share/sohuminiblog?url="+opts.url+"&title="+opts.shareTitle+"&publisherUuid=82f0883f-0045-4f70-9022-d7be1d1687ad&summary="+opts.summary;
					context.loadUrl(hrefsouhu);
				});
				$("#pengyou").click(function(){
					var hrefpengyou="http://api.bshare.cn/share/qqxiaoyou?url="+opts.url+"&title="+opts.shareTitle+"&publisherUuid=82f0883f-0045-4f70-9022-d7be1d1687ad&summary="+opts.summary;
					context.loadUrl(hrefpengyou);
				});
				$("#renren").click(function(){
					var hrefren="http://api.bshare.cn/share/renren?url="+opts.url+"&title="+opts.shareTitle+"&publisherUuid=82f0883f-0045-4f70-9022-d7be1d1687ad&summary="+opts.summary;
					context.loadUrl(hrefren);
				});
				$("#kaixin").click(function(){
					var hrefkaixin="http://api.bshare.cn/share/kaixin001?url="+opts.url+"&title="+opts.shareTitle+"&publisherUuid=82f0883f-0045-4f70-9022-d7be1d1687ad&summary="+opts.summary;
					context.loadUrl(hrefkaixin);
				});
				$("#douban").click(function(){
					var hrefdouban="http://api.bshare.cn/share/9dian?url="+opts.url+"&title="+opts.shareTitle+"&publisherUuid=82f0883f-0045-4f70-9022-d7be1d1687ad&summary="+opts.summary;
					context.loadUrl(hrefdouban);
				});
				$("#souhubai").click(function(){
					var hrefsouhubai="http://api.bshare.cn/share/sohubai?url="+opts.url+"&title="+opts.shareTitle+"&publisherUuid=82f0883f-0045-4f70-9022-d7be1d1687ad&summary="+opts.summary;
					context.loadUrl(hrefsouhubai);
				});
				$("#fanfou").click(function(){
					var hreffanfou="http://api.bshare.cn/share/fanfou?url="+opts.url+"&title="+opts.shareTitle+"&publisherUuid=82f0883f-0045-4f70-9022-d7be1d1687ad&summary="+opts.summary;
					context.loadUrl(hreffanfou);
				});
				$("#renjian").click(function(){
					var hrefrenjian="http://api.bshare.cn/share/renjian?url="+opts.url+"&title="+opts.shareTitle+"&publisherUuid=82f0883f-0045-4f70-9022-d7be1d1687ad&summary="+opts.summary;
					context.loadUrl(hrefrenjian);
				});
				if(opts.pic){
					$("#huaban").click(function(){
						var hrefhuaban="http://api.bshare.cn/share/huaban?url="+opts.url+"&title="+opts.shareTitle+"&pic="+opts.pic+"&publisherUuid=82f0883f-0045-4f70-9022-d7be1d1687ad&summary="+opts.summary;
						context.loadUrl(hrefhuaban);
					});
					$("#meili").click(function(){
						var hrefmeili="http://api.bshare.cn/share/meilishuo?url="+opts.url+"&title="+opts.shareTitle+"&pic="+opts.pic+"&publisherUuid=82f0883f-0045-4f70-9022-d7be1d1687ad&summary="+opts.summary;
						context.loadUrl(hrefmeili);
					});
				}
				$("#taojiang").click(function(){
					var hreftaojiang="http://api.bshare.cn/share/taojianghu?url="+opts.url+"&title="+opts.shareTitle+"&publisherUuid=82f0883f-0045-4f70-9022-d7be1d1687ad&summary="+opts.summary;
					context.loadUrl(hreftaojiang);
				});
				if(opts.pic){
					$("#mogu").click(function(){
						var hrefmogu="http://api.bshare.cn/share/mogujie?url="+opts.url+"&title="+opts.shareTitle+"&pic="+opts.pic+"&publisherUuid=82f0883f-0045-4f70-9022-d7be1d1687ad&summary="+opts.summary;
						context.loadUrl(hrefmogu);
					});
				}
				$("#hexun").click(function(){
					var hrefhexun="http://api.bshare.cn/share/hexunmb?url="+opts.url+"&title="+opts.shareTitle+"&publisherUuid=82f0883f-0045-4f70-9022-d7be1d1687ad&summary="+opts.summary;
					context.loadUrl(hrefhexun);
				});
				$("#diandian").click(function(){
					var hrefdiandian="http://api.bshare.cn/share/diandian?url="+opts.url+"&title="+opts.shareTitle+"&publisherUuid=82f0883f-0045-4f70-9022-d7be1d1687ad&summary="+opts.summary;
					context.loadUrl(hrefdiandian);
				});
				$("#xinlangqing").click(function(){
					var hrefxinlangqing="http://api.bshare.cn/share/sinaqing?url="+opts.url+"&title="+opts.shareTitle+"&publisherUuid=82f0883f-0045-4f70-9022-d7be1d1687ad&summary="+opts.summary;
					context.loadUrl(hrefxinlangqing);
				});
				$("#tianya").click(function(){
					var hreftianya="http://api.bshare.cn/share/tianya?url="+opts.url+"&title="+opts.shareTitle+"&publisherUuid=82f0883f-0045-4f70-9022-d7be1d1687ad&summary="+opts.summary;
					context.loadUrl(hreftianya);
				});
			}else{
			
				$("#sina").click(function(){
					window.open("http://api.bshare.cn/share/mweibo?url="+opts.url+"&title="+opts.shareTitle+"&publisherUuid=82f0883f-0045-4f70-9022-d7be1d1687ad&summary="+opts.summary);
			
				});
		
				$("#tengXun").click(function(){
					
					window.open("http://api.bshare.cn/share/qqmb?url="+opts.url+"&title="+opts.shareTitle+"&publisherUuid=82f0883f-0045-4f70-9022-d7be1d1687ad&summary="+opts.summary);
				});
				
				$("#qzone").click(function(){
					
					window.open("http://api.bshare.cn/share/qzone?url="+opts.url+"&title="+opts.shareTitle+"&publisherUuid=82f0883f-0045-4f70-9022-d7be1d1687ad&summary="+opts.summary);
				});
				$("#wangyi").click(function(){
					
					window.open("http://api.bshare.cn/share/neteasemb?url="+opts.url+"&title="+opts.shareTitle+"&publisherUuid=82f0883f-0045-4f70-9022-d7be1d1687ad&summary="+opts.summary);
				});
				$("#souhu").click(function(){
					window.open("http://api.bshare.cn/share/sohuminiblog?url="+opts.url+"&title="+opts.shareTitle+"&publisherUuid=82f0883f-0045-4f70-9022-d7be1d1687ad&summary="+opts.summary);
				});
				$("#pengyou").click(function(){
					window.open("http://api.bshare.cn/share/qqxiaoyou?url="+opts.url+"&title="+opts.shareTitle+"&publisherUuid=82f0883f-0045-4f70-9022-d7be1d1687ad&summary="+opts.summary);
				});
				$("#renren").click(function(){
					window.open("http://api.bshare.cn/share/renren?url="+opts.url+"&title="+opts.shareTitle+"&publisherUuid=82f0883f-0045-4f70-9022-d7be1d1687ad&summary="+opts.summary);
				});
				$("#kaixin").click(function(){
					window.open("http://api.bshare.cn/share/kaixin001?url="+opts.url+"&title="+opts.shareTitle+"&publisherUuid=82f0883f-0045-4f70-9022-d7be1d1687ad&summary="+opts.summary);
				});
				$("#douban").click(function(){
					window.open("http://api.bshare.cn/share/9dian?url="+opts.url+"&title="+opts.shareTitle+"&publisherUuid=82f0883f-0045-4f70-9022-d7be1d1687ad&summary="+opts.summary);
				});
				$("#souhubai").click(function(){
					window.open("http://api.bshare.cn/share/sohubai?url="+opts.url+"&title="+opts.shareTitle+"&publisherUuid=82f0883f-0045-4f70-9022-d7be1d1687ad&summary="+opts.summary);
				});
				$("#fanfou").click(function(){
					window.open("http://api.bshare.cn/share/fanfou?url="+opts.url+"&title="+opts.shareTitle+"&publisherUuid=82f0883f-0045-4f70-9022-d7be1d1687ad&summary="+opts.summary);
				});
				$("#renjian").click(function(){
					window.open("http://api.bshare.cn/share/renjian?url="+opts.url+"&title="+opts.shareTitle+"&publisherUuid=82f0883f-0045-4f70-9022-d7be1d1687ad&summary="+opts.summary);
				});
				if(opts.pic){
					$("#huaban").click(function(){
						window.open("http://api.bshare.cn/share/huaban?url="+opts.url+"&title="+opts.shareTitle+"&publisherUuid=82f0883f-0045-4f70-9022-d7be1d1687ad&summary="+opts.summary);
					});
					
					$("#meili").click(function(){
						window.open("http://api.bshare.cn/share/meilishuo?url="+opts.url+"&title="+opts.shareTitle+"&publisherUuid=82f0883f-0045-4f70-9022-d7be1d1687ad&summary="+opts.summary);
					});
				}
				$("#taojiang").click(function(){
					window.open("http://api.bshare.cn/share/taojianghu?url="+opts.url+"&title="+opts.shareTitle+"&publisherUuid=82f0883f-0045-4f70-9022-d7be1d1687ad&summary="+opts.summary);
				});
				if(opts.pic){
					$("#mogu").click(function(){
						window.open("http://api.bshare.cn/share/mogujie?url="+opts.url+"&title="+opts.shareTitle+"&publisherUuid=82f0883f-0045-4f70-9022-d7be1d1687ad&summary="+opts.summary);
					});
				}
				$("#hexun").click(function(){
					window.open("http://api.bshare.cn/share/hexunmb?url="+opts.url+"&title="+opts.shareTitle+"&publisherUuid=82f0883f-0045-4f70-9022-d7be1d1687ad&summary="+opts.summary);
				});
				$("#diandian").click(function(){
					window.open("http://api.bshare.cn/share/diandian?url="+opts.url+"&title="+opts.shareTitle+"&publisherUuid=82f0883f-0045-4f70-9022-d7be1d1687ad&summary="+opts.summary);
				});
				$("#xinlangqing").click(function(){
					window.open("http://api.bshare.cn/share/sinaqing?url="+opts.url+"&title="+opts.shareTitle+"&publisherUuid=82f0883f-0045-4f70-9022-d7be1d1687ad&summary="+opts.summary);
				});
				$("#tianya").click(function(){
					window.open("http://api.bshare.cn/share/tianya?url="+opts.url+"&title="+opts.shareTitle+"&publisherUuid=82f0883f-0045-4f70-9022-d7be1d1687ad&summary="+opts.summary);
				});
			}
		}
		if(opts.english){
			if(/zmobile/.test(navigator.userAgent)){
				$("#facebook").click(function(){
					var hreffacebook="http://api.bshare.cn/share/facebook?url="+opts.url+"&title="+opts.shareTitle+"&publisherUuid=82f0883f-0045-4f70-9022-d7be1d1687ad&summary="+opts.summary;
					context.loadUrl(hreffacebook);
				});
				$("#twitter").click(function(){
					var hreftwitter="http://api.bshare.cn/share/twitter?url="+opts.url+"&title="+opts.shareTitle+"&publisherUuid=82f0883f-0045-4f70-9022-d7be1d1687ad&summary="+opts.summary;
					context.loadUrl(hreftwitter);
				});
				$("#delicious").click(function(){
					var hrefdelicious="http://api.bshare.cn/share/delicious?url="+opts.url+"&title="+opts.shareTitle+"&publisherUuid=82f0883f-0045-4f70-9022-d7be1d1687ad&summary="+opts.summary;
					context.loadUrl(hrefdelicious);
				});
				$("#stumbleupon").click(function(){
					var hrefstumbleupon="http://api.bshare.cn/share/stumbleupon?url="+opts.url+"&title="+opts.shareTitle+"&publisherUuid=82f0883f-0045-4f70-9022-d7be1d1687ad&summary="+opts.summary;
					context.loadUrl(hrefstumbleupon);
				});
				$("#gplus").click(function(){
					var hrefgplus="http://api.bshare.cn/share/gplus?url="+opts.url+"&title="+opts.shareTitle+"&publisherUuid=82f0883f-0045-4f70-9022-d7be1d1687ad&summary="+opts.summary;
					context.loadUrl(hrefgplus);
				});
				$("#tumblr").click(function(){
					var hreftumblr="http://api.bshare.cn/share/tumblr?url="+opts.url+"&title="+opts.shareTitle+"&publisherUuid=82f0883f-0045-4f70-9022-d7be1d1687ad&summary="+opts.summary;
					context.loadUrl(hreftumblr);
				});
				$("#digg").click(function(){
					var hrefdigg="http://api.bshare.cn/share/digg?url="+opts.url+"&title="+opts.shareTitle+"&publisherUuid=82f0883f-0045-4f70-9022-d7be1d1687ad&summary="+opts.summary;
					context.loadUrl(hrefdigg);
				});
				$("#myspace").click(function(){
					var hrefmyspace="http://api.bshare.cn/share/myspace?url="+opts.url+"&title="+opts.shareTitle+"&publisherUuid=82f0883f-0045-4f70-9022-d7be1d1687ad&summary="+opts.summary;
					context.loadUrl(hrefmyspace);
				});
				$("#pinterest").click(function(){
					var hrefpinterest="http://api.bshare.cn/share/pinterest?url="+opts.url+"&title="+opts.shareTitle+"&publisherUuid=82f0883f-0045-4f70-9022-d7be1d1687ad&summary="+opts.summary;
					context.loadUrl(hrefpinterest);
				});
				$("#linkedin").click(function(){
					var hreflinkedin="http://api.bshare.cn/share/linkedin?url="+opts.url+"&title="+opts.shareTitle+"&publisherUuid=82f0883f-0045-4f70-9022-d7be1d1687ad&summary="+opts.summary;
					context.loadUrl(hreflinkedin);
				});
			}else{
				$("#facebook").click(function(){
					window.open("http://api.bshare.cn/share/facebook?url="+opts.url+"&title="+opts.shareTitle+"&publisherUuid=82f0883f-0045-4f70-9022-d7be1d1687ad&summary="+opts.summary);
				});
				$("#twitter").click(function(){
					window.open("http://api.bshare.cn/share/twitter?url="+opts.url+"&title="+opts.shareTitle+"&publisherUuid=82f0883f-0045-4f70-9022-d7be1d1687ad&summary="+opts.summary);
				});
				$("#delicious").click(function(){
					window.open("http://api.bshare.cn/share/delicious?url="+opts.url+"&title="+opts.shareTitle+"&publisherUuid=82f0883f-0045-4f70-9022-d7be1d1687ad&summary="+opts.summary);
				});
				$("#stumbleupon").click(function(){
					window.open("http://api.bshare.cn/share/stumbleupon?url="+opts.url+"&title="+opts.shareTitle+"&publisherUuid=82f0883f-0045-4f70-9022-d7be1d1687ad&summary="+opts.summary);
				});
				$("#gplus").click(function(){
					window.open("http://api.bshare.cn/share/gplus?url="+opts.url+"&title="+opts.shareTitle+"&publisherUuid=82f0883f-0045-4f70-9022-d7be1d1687ad&summary="+opts.summary);
				});
				$("#tumblr").click(function(){
					window.open("http://api.bshare.cn/share/tumblr?url="+opts.url+"&title="+opts.shareTitle+"&publisherUuid=82f0883f-0045-4f70-9022-d7be1d1687ad&summary="+opts.summary);
				});
				$("#digg").click(function(){
					window.open("http://api.bshare.cn/share/digg?url="+opts.url+"&title="+opts.shareTitle+"&publisherUuid=82f0883f-0045-4f70-9022-d7be1d1687ad&summary="+opts.summary);
				});
				$("#myspace").click(function(){
					window.open("http://api.bshare.cn/share/myspace?url="+opts.url+"&title="+opts.shareTitle+"&publisherUuid=82f0883f-0045-4f70-9022-d7be1d1687ad&summary="+opts.summary);
				});
				$("#pinterest").click(function(){
					window.open("http://api.bshare.cn/share/pinterest?url="+opts.url+"&title="+opts.shareTitle+"&publisherUuid=82f0883f-0045-4f70-9022-d7be1d1687ad&summary="+opts.summary);
				});
				$("#linkedin").click(function(){
					window.open("http://api.bshare.cn/share/linkedin?url="+opts.url+"&title="+opts.shareTitle+"&publisherUuid=82f0883f-0045-4f70-9022-d7be1d1687ad&summary="+opts.summary);
				});
				
			}
		}
		
		$("#detail_more").tap(function(){
            if(document.getElementById('box_header').style.display != "block"){
                document.getElementById('box_header').style.display = "block";
				columnScroll.refresh();
				setColumnWidth();
           	 }else{
                document.getElementById('box_header').style.display = "none";
            }
		});
		
		$("#share_return").click(function(){
			returnPage();
		});
		
	};
	
	var returnPage=function(){
			var url=document.referrer;
			if(url!=""){
				history.back(1);
			}else{
				location.href="/";
			}
	};
	return {
		init:init
	};
}();


